#import "MyPDFMatteView.h"



@implementation MyPDFMatteView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)dirtyRect {
	if ([_pdfView suspendRendering] == NO && [_pdfView inhibitDrawing] == NO) {
		[[_pdfView backgroundColor] set];
		NSRectFill([self bounds]);
	}
}

- (BOOL)isFlipped
{
	return YES;
}

- (BOOL)isOpaque
{
	return [_pdfView backgroundHasAlpha] == NO;
}

- (void)setPDFView:(PDFView*)view
{
	_pdfView = view;
}

- (NSMenu *)menuForEvent:(NSEvent*)theEvent
{
	return [_pdfView menuForEvent:theEvent];
}

@end
